class uvfs::install {

  exec { 'download_uvfs':
    command => "curl -sL \"http://downloads.sourceforge.net/project/uvfs/uvfs/${uvfs::version}/uvfs_${uvfs::version}.tar.gz\" | tar -v -C ${uvfs::install_dir} -zx",
    creates => "${uvfs::install_dir}/uvfs_${uvfs::version}/uvfs.h",
    cwd     => $uvfs::install_dir,
    path    => '/usr/local/bin:/usr/bin:/bin',
  }

  exec { 'compile_uvfs':
    command => 'gmake',
    creates => "${uvfs::install_dir}/uvfs_${uvfs::version}/uvfs_signal.o",
    cwd     => "${uvfs::install_dir}/uvfs_${uvfs::version}",
    path    => '/usr/local/bin:/usr/bin:/bin',
    require => Exec['download_uvfs']
  }

}
