require 'spec_helper'

RSpec.describe 'uvfs' do

  # basics
  describe 'basics' do
    # compile
	it { should compile.with_all_deps }

	# classes
    it { should contain_class('uvfs') }
    it { should contain_class('uvfs::params') }
    it { should contain_class('uvfs::install') }
    it { should contain_class('uvfs::skeleton') }
    it { should contain_class('uvfs::dependencies') }

	# packages
    it { should contain_package('gcc') }
    it { should contain_package('make') }
    it { should contain_package('gcc-c++') }
    it { should contain_package('kernel-devel') }

	# execs
    it { should contain_exec('download_uvfs') }
    it { should contain_exec('compile_uvfs') }

	# files/directories
	it { should contain_file('/opt/iw-tools') }
  end

  # version param
  describe 'default_version' do
    it { should contain_class('uvfs').with( 'version' => '2.0.7', ) }
  end
  describe 'user_set_version' do
    let(:params){{:version => '2.0.6'}}
    it { should contain_class('uvfs').with( 'version' => '2.0.6', ) }
  end

  # install_dir param
  describe 'default_install_dir' do
    it { should contain_class('uvfs').with( 'version' => '2.0.7', ) }
  end
  describe 'user_set_install_dir' do
    let(:params){{:install_dir => '/usr/iw-tools'}}
    it { should contain_class('uvfs').with( 'install_dir' => '/usr/iw-tools', ) }
	it { should contain_file('/usr/iw-tools') }
  end

end
